using UnityEngine;
using System.Collections;

public enum GameMode {
	Menu, Playing, GameOver
}

public class GameManager : MonoBehaviour {

	public delegate void GameModeDelegate();
	
	public static GameManager instance;
	public GameMode gameMode;
	public GameModeDelegate StartGame;
	public GameModeDelegate GameOver;
	
	void Awake() {
		instance = this;
	}
	
	public void ChangeGameMode(GameMode mode) {
		if (gameMode == mode) return;
		gameMode = mode;
		switch (mode) {
			case GameMode.Menu:
				break;
			case GameMode.Playing:
				if (StartGame != null) StartGame();
				break;
			case GameMode.GameOver:
				if (GameOver != null) GameOver();
				break;
		}
	}
}
